Page MenuHomePhabricator

rust-status: rename `StatusResult` to `DirstateStatus`
ClosedPublic

Authored by Alphare on Feb 6 2020, 10:15 AM.

Details

Summary

"Result" has a special meaning in the Rust world, this should be clearer.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Feb 6 2020, 10:15 AM
Alphare updated this revision to Diff 20045.Feb 10 2020, 11:30 AM
kevincox accepted this revision.Feb 10 2020, 1:16 PM
Alphare updated this revision to Diff 20156.Feb 11 2020, 5:55 AM
Alphare updated this revision to Diff 20185.Feb 13 2020, 12:37 PM
marmoute accepted this revision.Feb 14 2020, 6:52 AM
marmoute added a subscriber: marmoute.

Simple clear effective. Thanks for splitting

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.